<template>
  <div>
    <Chart :cdata="cdata" />
  </div>
</template>

<script>
import Chart from './chart.vue';
import axios from 'axios';
export default {
  data () {
    return {
      cdata: {
        xData: ["涂布空货位", "涂布满货位", "辊分空货位", "辊分满货位", "模切空货位", "模切满货位"],
        seriesData: [
          { value: 10, name: "涂布空货位" },
          { value: 5, name: "涂布满货位" },
          { value: 15, name: "辊分空货位" },
          { value: 25, name: "辊分满货位" },
          { value: 20, name: "模切空货位" },
          { value: 35, name: "模切满货位" }
        ]
      }
    }
  },
  components: {
    Chart,
  },
  mounted () {
    this.changeTiming()
  },
  methods: {
    changeTiming() {
        this.changeNumber()
      // setInterval(() => {
      //   this.changeNumber()
      // }, 3000)
    },
    changeNumber() {
      // axios.post("http://192.168.20.251:8098/api/ToBigScreen/GetLocationEmptyOrStored", {
        axios.post("http://127.0.0.1:8098/api/ToBigScreen/GetLocationEmptyOrStored", {
        MainData: {
          AGVName: "正极"
        }
      }).then((res) => {
        let agvs = res.data.data
        let GetLocationEmptyOrStored = [
          {value:agvs.tbEmptyNum,name:"涂布空货位"},
          {value:agvs.tbStoredNum,name:"涂布满货位"},
          {value:agvs.gfEmptyNum,name:"辊分空货位"},
          {value:agvs.gfStoredNum,name:"辊分满货位"},
          {value:agvs.mqEmptyNum,name:"模切空货位"},
          {value:agvs.mqStoredNum,name:"模切满货位"},
        ]
        this.cdata.seriesData = GetLocationEmptyOrStored
      }).catch((res) => {
        console.log(res)
      })
    }
  }
}
</script>

<style lang="scss" scoped>
</style>